# Generated by rust2rpm
# * Tests are run in infrastructure
%bcond_with check
%global debug_package %{nil}

%global crate cast

Name:           rust-%{crate}
Version:        0.2.2
Release:        3%{?dist}
Summary:        Ergonomic, checked cast functions for primitive types

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/cast
Source0:        https://crates.io/api/v1/crates/%{crate}/%{version}/download#/%{crate}-%{version}.crate
# Initial patched metadata
# * Bump quickcheck to 0.7, https://github.com/japaric/cast.rs/pull/17
# * Remove CI files, https://github.com/japaric/cast.rs/pull/18
Patch0:         cast-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging
%if %{with check}
BuildRequires:  (crate(quickcheck/default) >= 0.7.0 with crate(quickcheck/default) < 0.8.0)
%endif

%global _description \
Ergonomic, checked cast functions for primitive types.

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-MIT LICENSE-APACHE
%doc README.md CHANGELOG.md
%{cargo_registry}/%{crate}-%{version}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages
which use "std" feature of "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%package     -n %{name}+x128-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+x128-devel %{_description}

This package contains library source intended for building other packages
which use "x128" feature of "%{crate}" crate.

%files       -n %{name}+x128-devel
%ghost %{cargo_registry}/%{crate}-%{version}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
# https://github.com/japaric/cast.rs/pull/19
sed -i -e '/#!\[deny(warnings)\]/d' src/lib.rs
%cargo_prep

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Nov 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-3
- Fix description

* Fri Nov 09 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.2.2-2
- Adapt to new packaging

* Tue Sep 11 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.2.2-1
- Initial package
